Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.ClearCacheOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.ClearCache`, `ClientWireProtocol.ClearCache.Builder`

Enclosing class:
  ClientWireProtocol

    public static interface ClientWireProtocol.ClearCacheOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `getAllNodes()` | `bool all_nodes = 1;`
`com.google.protobuf.ByteString` | `getUser()` | This is the byte string representation of a user_i instance and is only set

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getAllNodes

boolean getAllNodes()
`bool all_nodes = 1;`

Returns:
  The allNodes.

### getUser

com.google.protobuf.ByteString getUser()

     This is the byte string representation of a user_i instance and is only set

`bytes user = 4;`

Returns:
  The user.